<section class='panel' data-ng-controller="ServicesController">
  <header class="panel-heading higher-panel-heading">
    Modify Service
  </header>
  <div class="panel-body" class="col-md-12" ng-init="initCreate(); fetchDiscount()">

     <div class="col-md-12" ng-repeat="disc in discount_service track by $index" style="margin-top: 5px;" ng-if="disc.length">
     <div class="col-sm-6 col-md-4" >
            <ui-select ng-model="disc" theme="select2" style="width: 100%;" on-select="giveit(); modifyCustom($index, disc)">
              <ui-select-match placeholder="Select a service..." >{{$select.selected.label}}</ui-select-match>
              <ui-select-choices group-by="groupByCategory" group-filter="groupSort" repeat="service.value as service in services | propsFilter: {label: $select.search}"  >
                <div ng-bind-html="service.label | highlight: $select.search" ></div>
              </ui-select-choices>
            </ui-select>
     	</div>
    <div class="col-sm-6 col-md-4">
    	<button ng-show='$last' class="btn btn-primary btn-lg" ng-click="addFromDiscount(disc);">Add</button>
    	<button class="btn btn-danger btn-lg" ng-click="removeFromDiscount($event, $index);"> Remove</button>
    </div>
    </div>


    <div class="form-group row" >
      <div class="col-md-12" ng-repeat="disc in discountData track by $index" style="margin-top: 30px;" >


             <fieldset  class="col-md-8">

            <div class="col-md-3">
              <input class="form-control" type="text" ng-model="disc.price" placeholder="Discount Price" />
            </div>
            <div class="col-md-3">
              <input class="form-control" type="text" ng-model="disc.percentage" placeholder="Discount Percentage" />
            </div>
            <div class="col-md-4">
              <button ng-show='$last' class="btn btn-primary btn-lg" ng-click="addDiscount($event, disc.price, disc.percentage, $index, disc.service, true);">Add</button>
              <button class="btn btn-danger btn-lg" ng-click="removeDiscount($event, $index);"> Remove</button>

            </div>

          </fieldset>



     </div>
      <div class="col-md-12" style="margin-top: 50px;">

                <button class="btn btn-danger btn-lg" ng-click="editDiscount()"> Save </button>
                <button class="col-sm-offset-2 btn btn-warning btn-lg" ng-click="deleteDiscount()"> Delete </button>

           </div>
          </div>
  </div>

</section>
